Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Can you upgrader from 2.0 to 4.0 on itouch

  1. #1
    Default Can you upgrader from 2.0 to 4.0 on itouch
    I have an older itouch and I would like to run newer apps on it... Can I upgrade and how ??????

  2. #2
    You can't upgrade to 4.0 already, since Apple pushed out it's signing window after releasing newer firmwares. You'll only be able to upgrade to 4.1. Download the latest version of iTunes, and hit upgrade.

  3. #3
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Depends on which iPod touch. First gen can't go past 3.1.3. Second gen can go up to 4.1.

  4. #4
    If you're running 2.0/2.01/2.02 its definitely a first-gen iPT. 3.1.3 is the latest you can get.

    If you're running 2.1 or 2.2 it could be first or second. You might be able to get 4.1, but it will be dog-slow.

    there's some firmware on here: downloading one of these may be a place to start

    iPod, iPhone and iPad Firmware Download

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •